--- title: "Retrieves a group details by connection type" slug: "retrieves-a-group-details-by-connection-type" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/retrieves-a-group-details-by-connection-type" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Retrieves a group details by connection type Get/api/v1/connections/{connection_type}/groups SecurityHTTPType bearer Path parametersconnection_typestringRequired connection_type Query parametersgroupNamestring To filter group name timezonestringExampleAsia/Kolkata sizeinteger The number of records to return per page Default25 pageinteger The page number. The page number start from 1 Default1 sortarray of string Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['groupName', 'whenCreated', 'whenChanged', 'lastActive'] DefaultwhenCreated:DESCExample[ "whenCreated:desc" ] fromDatestring The earliest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-05-06T10:50:35+0000 toDatestring The latest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-05-06T10:50:35+0000 Responses200 OK Expand Allobject authorizationboolean dataobject pageinteger results Array of object (GroupsByConnectionType) object connectedUsers Array of object object firstNamestring lastNamestring loginNamestring mailstring objectGUIDstring displayNamestring lastActivestring objectGUIDstring whenChangedstring whenCreatedstring sizeinteger totalCountinteger totalPageinteger error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean